import { createApp } from 'vue'
import { createPinia } from 'pinia'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

import { VueFinderPlugin } from 'vuefinder'
import App from './App.vue'
import router from './router'
import './style.css'
import 'vuefinder/dist/vuefinder.css'

const app = createApp(App)

const pinia = createPinia()
pinia.use(piniaPluginPersistedstate)

app.use(pinia)
app.use(router)
app.use(VueFinderPlugin)

app.mount('#app')
